package com.mvc.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TMarkRecordExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TMarkRecordExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNull() {
            addCriterion("DEVICE_SN is null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNotNull() {
            addCriterion("DEVICE_SN is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnEqualTo(String value) {
            addCriterion("DEVICE_SN =", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotEqualTo(String value) {
            addCriterion("DEVICE_SN <>", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThan(String value) {
            addCriterion("DEVICE_SN >", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN >=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThan(String value) {
            addCriterion("DEVICE_SN <", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN <=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLike(String value) {
            addCriterion("DEVICE_SN like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotLike(String value) {
            addCriterion("DEVICE_SN not like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIn(List<String> values) {
            addCriterion("DEVICE_SN in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotIn(List<String> values) {
            addCriterion("DEVICE_SN not in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnBetween(String value1, String value2) {
            addCriterion("DEVICE_SN between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotBetween(String value1, String value2) {
            addCriterion("DEVICE_SN not between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andStationCodeIsNull() {
            addCriterion("STATION_CODE is null");
            return (Criteria) this;
        }

        public Criteria andStationCodeIsNotNull() {
            addCriterion("STATION_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andStationCodeEqualTo(String value) {
            addCriterion("STATION_CODE =", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotEqualTo(String value) {
            addCriterion("STATION_CODE <>", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeGreaterThan(String value) {
            addCriterion("STATION_CODE >", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeGreaterThanOrEqualTo(String value) {
            addCriterion("STATION_CODE >=", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLessThan(String value) {
            addCriterion("STATION_CODE <", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLessThanOrEqualTo(String value) {
            addCriterion("STATION_CODE <=", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLike(String value) {
            addCriterion("STATION_CODE like", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotLike(String value) {
            addCriterion("STATION_CODE not like", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeIn(List<String> values) {
            addCriterion("STATION_CODE in", values, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotIn(List<String> values) {
            addCriterion("STATION_CODE not in", values, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeBetween(String value1, String value2) {
            addCriterion("STATION_CODE between", value1, value2, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotBetween(String value1, String value2) {
            addCriterion("STATION_CODE not between", value1, value2, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationNameIsNull() {
            addCriterion("STATION_NAME is null");
            return (Criteria) this;
        }

        public Criteria andStationNameIsNotNull() {
            addCriterion("STATION_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andStationNameEqualTo(String value) {
            addCriterion("STATION_NAME =", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameNotEqualTo(String value) {
            addCriterion("STATION_NAME <>", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameGreaterThan(String value) {
            addCriterion("STATION_NAME >", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameGreaterThanOrEqualTo(String value) {
            addCriterion("STATION_NAME >=", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameLessThan(String value) {
            addCriterion("STATION_NAME <", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameLessThanOrEqualTo(String value) {
            addCriterion("STATION_NAME <=", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameLike(String value) {
            addCriterion("STATION_NAME like", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameNotLike(String value) {
            addCriterion("STATION_NAME not like", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameIn(List<String> values) {
            addCriterion("STATION_NAME in", values, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameNotIn(List<String> values) {
            addCriterion("STATION_NAME not in", values, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameBetween(String value1, String value2) {
            addCriterion("STATION_NAME between", value1, value2, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameNotBetween(String value1, String value2) {
            addCriterion("STATION_NAME not between", value1, value2, "stationName");
            return (Criteria) this;
        }

        public Criteria andMarkIdIsNull() {
            addCriterion("MARK_ID is null");
            return (Criteria) this;
        }

        public Criteria andMarkIdIsNotNull() {
            addCriterion("MARK_ID is not null");
            return (Criteria) this;
        }

        public Criteria andMarkIdEqualTo(Integer value) {
            addCriterion("MARK_ID =", value, "markId");
            return (Criteria) this;
        }

        public Criteria andMarkIdNotEqualTo(Integer value) {
            addCriterion("MARK_ID <>", value, "markId");
            return (Criteria) this;
        }

        public Criteria andMarkIdGreaterThan(Integer value) {
            addCriterion("MARK_ID >", value, "markId");
            return (Criteria) this;
        }

        public Criteria andMarkIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("MARK_ID >=", value, "markId");
            return (Criteria) this;
        }

        public Criteria andMarkIdLessThan(Integer value) {
            addCriterion("MARK_ID <", value, "markId");
            return (Criteria) this;
        }

        public Criteria andMarkIdLessThanOrEqualTo(Integer value) {
            addCriterion("MARK_ID <=", value, "markId");
            return (Criteria) this;
        }

        public Criteria andMarkIdIn(List<Integer> values) {
            addCriterion("MARK_ID in", values, "markId");
            return (Criteria) this;
        }

        public Criteria andMarkIdNotIn(List<Integer> values) {
            addCriterion("MARK_ID not in", values, "markId");
            return (Criteria) this;
        }

        public Criteria andMarkIdBetween(Integer value1, Integer value2) {
            addCriterion("MARK_ID between", value1, value2, "markId");
            return (Criteria) this;
        }

        public Criteria andMarkIdNotBetween(Integer value1, Integer value2) {
            addCriterion("MARK_ID not between", value1, value2, "markId");
            return (Criteria) this;
        }

        public Criteria andMarkDescriptionIsNull() {
            addCriterion("MARK_DESCRIPTION is null");
            return (Criteria) this;
        }

        public Criteria andMarkDescriptionIsNotNull() {
            addCriterion("MARK_DESCRIPTION is not null");
            return (Criteria) this;
        }

        public Criteria andMarkDescriptionEqualTo(String value) {
            addCriterion("MARK_DESCRIPTION =", value, "markDescription");
            return (Criteria) this;
        }

        public Criteria andMarkDescriptionNotEqualTo(String value) {
            addCriterion("MARK_DESCRIPTION <>", value, "markDescription");
            return (Criteria) this;
        }

        public Criteria andMarkDescriptionGreaterThan(String value) {
            addCriterion("MARK_DESCRIPTION >", value, "markDescription");
            return (Criteria) this;
        }

        public Criteria andMarkDescriptionGreaterThanOrEqualTo(String value) {
            addCriterion("MARK_DESCRIPTION >=", value, "markDescription");
            return (Criteria) this;
        }

        public Criteria andMarkDescriptionLessThan(String value) {
            addCriterion("MARK_DESCRIPTION <", value, "markDescription");
            return (Criteria) this;
        }

        public Criteria andMarkDescriptionLessThanOrEqualTo(String value) {
            addCriterion("MARK_DESCRIPTION <=", value, "markDescription");
            return (Criteria) this;
        }

        public Criteria andMarkDescriptionLike(String value) {
            addCriterion("MARK_DESCRIPTION like", value, "markDescription");
            return (Criteria) this;
        }

        public Criteria andMarkDescriptionNotLike(String value) {
            addCriterion("MARK_DESCRIPTION not like", value, "markDescription");
            return (Criteria) this;
        }

        public Criteria andMarkDescriptionIn(List<String> values) {
            addCriterion("MARK_DESCRIPTION in", values, "markDescription");
            return (Criteria) this;
        }

        public Criteria andMarkDescriptionNotIn(List<String> values) {
            addCriterion("MARK_DESCRIPTION not in", values, "markDescription");
            return (Criteria) this;
        }

        public Criteria andMarkDescriptionBetween(String value1, String value2) {
            addCriterion("MARK_DESCRIPTION between", value1, value2, "markDescription");
            return (Criteria) this;
        }

        public Criteria andMarkDescriptionNotBetween(String value1, String value2) {
            addCriterion("MARK_DESCRIPTION not between", value1, value2, "markDescription");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNull() {
            addCriterion("CREATE_MAN is null");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNotNull() {
            addCriterion("CREATE_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andCreateManEqualTo(String value) {
            addCriterion("CREATE_MAN =", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotEqualTo(String value) {
            addCriterion("CREATE_MAN <>", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThan(String value) {
            addCriterion("CREATE_MAN >", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN >=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThan(String value) {
            addCriterion("CREATE_MAN <", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN <=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLike(String value) {
            addCriterion("CREATE_MAN like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotLike(String value) {
            addCriterion("CREATE_MAN not like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManIn(List<String> values) {
            addCriterion("CREATE_MAN in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotIn(List<String> values) {
            addCriterion("CREATE_MAN not in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManBetween(String value1, String value2) {
            addCriterion("CREATE_MAN between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotBetween(String value1, String value2) {
            addCriterion("CREATE_MAN not between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("CREATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("CREATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("CREATE_TIME =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("CREATE_TIME <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("CREATE_TIME >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("CREATE_TIME <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("CREATE_TIME in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("CREATE_TIME not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andProcessResultsIsNull() {
            addCriterion("PROCESS_RESULTS is null");
            return (Criteria) this;
        }

        public Criteria andProcessResultsIsNotNull() {
            addCriterion("PROCESS_RESULTS is not null");
            return (Criteria) this;
        }

        public Criteria andProcessResultsEqualTo(String value) {
            addCriterion("PROCESS_RESULTS =", value, "processResults");
            return (Criteria) this;
        }

        public Criteria andProcessResultsNotEqualTo(String value) {
            addCriterion("PROCESS_RESULTS <>", value, "processResults");
            return (Criteria) this;
        }

        public Criteria andProcessResultsGreaterThan(String value) {
            addCriterion("PROCESS_RESULTS >", value, "processResults");
            return (Criteria) this;
        }

        public Criteria andProcessResultsGreaterThanOrEqualTo(String value) {
            addCriterion("PROCESS_RESULTS >=", value, "processResults");
            return (Criteria) this;
        }

        public Criteria andProcessResultsLessThan(String value) {
            addCriterion("PROCESS_RESULTS <", value, "processResults");
            return (Criteria) this;
        }

        public Criteria andProcessResultsLessThanOrEqualTo(String value) {
            addCriterion("PROCESS_RESULTS <=", value, "processResults");
            return (Criteria) this;
        }

        public Criteria andProcessResultsLike(String value) {
            addCriterion("PROCESS_RESULTS like", value, "processResults");
            return (Criteria) this;
        }

        public Criteria andProcessResultsNotLike(String value) {
            addCriterion("PROCESS_RESULTS not like", value, "processResults");
            return (Criteria) this;
        }

        public Criteria andProcessResultsIn(List<String> values) {
            addCriterion("PROCESS_RESULTS in", values, "processResults");
            return (Criteria) this;
        }

        public Criteria andProcessResultsNotIn(List<String> values) {
            addCriterion("PROCESS_RESULTS not in", values, "processResults");
            return (Criteria) this;
        }

        public Criteria andProcessResultsBetween(String value1, String value2) {
            addCriterion("PROCESS_RESULTS between", value1, value2, "processResults");
            return (Criteria) this;
        }

        public Criteria andProcessResultsNotBetween(String value1, String value2) {
            addCriterion("PROCESS_RESULTS not between", value1, value2, "processResults");
            return (Criteria) this;
        }

        public Criteria andProcessTimeIsNull() {
            addCriterion("PROCESS_TIME is null");
            return (Criteria) this;
        }

        public Criteria andProcessTimeIsNotNull() {
            addCriterion("PROCESS_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andProcessTimeEqualTo(Date value) {
            addCriterion("PROCESS_TIME =", value, "processTime");
            return (Criteria) this;
        }

        public Criteria andProcessTimeNotEqualTo(Date value) {
            addCriterion("PROCESS_TIME <>", value, "processTime");
            return (Criteria) this;
        }

        public Criteria andProcessTimeGreaterThan(Date value) {
            addCriterion("PROCESS_TIME >", value, "processTime");
            return (Criteria) this;
        }

        public Criteria andProcessTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("PROCESS_TIME >=", value, "processTime");
            return (Criteria) this;
        }

        public Criteria andProcessTimeLessThan(Date value) {
            addCriterion("PROCESS_TIME <", value, "processTime");
            return (Criteria) this;
        }

        public Criteria andProcessTimeLessThanOrEqualTo(Date value) {
            addCriterion("PROCESS_TIME <=", value, "processTime");
            return (Criteria) this;
        }

        public Criteria andProcessTimeIn(List<Date> values) {
            addCriterion("PROCESS_TIME in", values, "processTime");
            return (Criteria) this;
        }

        public Criteria andProcessTimeNotIn(List<Date> values) {
            addCriterion("PROCESS_TIME not in", values, "processTime");
            return (Criteria) this;
        }

        public Criteria andProcessTimeBetween(Date value1, Date value2) {
            addCriterion("PROCESS_TIME between", value1, value2, "processTime");
            return (Criteria) this;
        }

        public Criteria andProcessTimeNotBetween(Date value1, Date value2) {
            addCriterion("PROCESS_TIME not between", value1, value2, "processTime");
            return (Criteria) this;
        }

        public Criteria andProcessManIsNull() {
            addCriterion("PROCESS_MAN is null");
            return (Criteria) this;
        }

        public Criteria andProcessManIsNotNull() {
            addCriterion("PROCESS_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andProcessManEqualTo(String value) {
            addCriterion("PROCESS_MAN =", value, "processMan");
            return (Criteria) this;
        }

        public Criteria andProcessManNotEqualTo(String value) {
            addCriterion("PROCESS_MAN <>", value, "processMan");
            return (Criteria) this;
        }

        public Criteria andProcessManGreaterThan(String value) {
            addCriterion("PROCESS_MAN >", value, "processMan");
            return (Criteria) this;
        }

        public Criteria andProcessManGreaterThanOrEqualTo(String value) {
            addCriterion("PROCESS_MAN >=", value, "processMan");
            return (Criteria) this;
        }

        public Criteria andProcessManLessThan(String value) {
            addCriterion("PROCESS_MAN <", value, "processMan");
            return (Criteria) this;
        }

        public Criteria andProcessManLessThanOrEqualTo(String value) {
            addCriterion("PROCESS_MAN <=", value, "processMan");
            return (Criteria) this;
        }

        public Criteria andProcessManLike(String value) {
            addCriterion("PROCESS_MAN like", value, "processMan");
            return (Criteria) this;
        }

        public Criteria andProcessManNotLike(String value) {
            addCriterion("PROCESS_MAN not like", value, "processMan");
            return (Criteria) this;
        }

        public Criteria andProcessManIn(List<String> values) {
            addCriterion("PROCESS_MAN in", values, "processMan");
            return (Criteria) this;
        }

        public Criteria andProcessManNotIn(List<String> values) {
            addCriterion("PROCESS_MAN not in", values, "processMan");
            return (Criteria) this;
        }

        public Criteria andProcessManBetween(String value1, String value2) {
            addCriterion("PROCESS_MAN between", value1, value2, "processMan");
            return (Criteria) this;
        }

        public Criteria andProcessManNotBetween(String value1, String value2) {
            addCriterion("PROCESS_MAN not between", value1, value2, "processMan");
            return (Criteria) this;
        }

        public Criteria andReviewFlagIsNull() {
            addCriterion("REVIEW_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andReviewFlagIsNotNull() {
            addCriterion("REVIEW_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andReviewFlagEqualTo(String value) {
            addCriterion("REVIEW_FLAG =", value, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagNotEqualTo(String value) {
            addCriterion("REVIEW_FLAG <>", value, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagGreaterThan(String value) {
            addCriterion("REVIEW_FLAG >", value, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagGreaterThanOrEqualTo(String value) {
            addCriterion("REVIEW_FLAG >=", value, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagLessThan(String value) {
            addCriterion("REVIEW_FLAG <", value, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagLessThanOrEqualTo(String value) {
            addCriterion("REVIEW_FLAG <=", value, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagLike(String value) {
            addCriterion("REVIEW_FLAG like", value, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagNotLike(String value) {
            addCriterion("REVIEW_FLAG not like", value, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagIn(List<String> values) {
            addCriterion("REVIEW_FLAG in", values, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagNotIn(List<String> values) {
            addCriterion("REVIEW_FLAG not in", values, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagBetween(String value1, String value2) {
            addCriterion("REVIEW_FLAG between", value1, value2, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagNotBetween(String value1, String value2) {
            addCriterion("REVIEW_FLAG not between", value1, value2, "reviewFlag");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}